local assets =
{
    Asset("ANIM", "anim/feces.zip"),
}

local function fn()
    local inst = CreateEntity()

    inst:AddTag("FX")
    --[[Non-networked entity]]
    inst.entity:SetCanSleep(false)
    inst.persists = false

    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    inst.AnimState:SetBank("feces")
    inst.AnimState:SetBuild("feces")
    inst.AnimState:PlayAnimation("used")

    inst:ListenForEvent("animover", inst.Remove)

    return inst
end

return Prefab("feces_splash", fn, assets)
